> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the explainable workspace GEO Score



## OpenAPI

````yaml /openapi.json get /api/v1/workspaces/{workspace}/score
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace}/score:
    get:
      summary: Get the explainable workspace GEO Score
      operationId: getWorkspaceGeoScore
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
        - name: date
          in: query
          required: false
          schema:
            type: string
            format: date
            pattern: ^\d{4}-\d{2}-\d{2}$
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeoScore'
      security:
        - cookieAuth: []
        - bearerAuth:
            - metrics:read
components:
  schemas:
    GeoScore:
      type: object
      properties:
        workspace:
          type: string
        date:
          type: string
          nullable: true
        value:
          type: number
          minimum: 0
          maximum: 100
          nullable: true
        delta:
          type: number
          nullable: true
        'n':
          type: integer
          minimum: 0
          nullable: true
        formulaVersion:
          type: string
          enum:
            - geo-score-v1
        components:
          type: array
          items:
            type: object
            properties:
              key:
                type: string
                enum:
                  - visibility
                  - relative_sov
                  - position
                  - sentiment
                  - volume
              label:
                type: string
              description:
                type: string
              rawValue:
                type: number
              score:
                type: number
                minimum: 0
                maximum: 100
              weight:
                type: number
                exclusiveMinimum: true
                minimum: 0
              normalizedWeight:
                type: number
                exclusiveMinimum: true
                minimum: 0
              'n':
                type: integer
                minimum: 0
                nullable: true
            required:
              - key
              - label
              - description
              - rawValue
              - score
              - weight
              - normalizedWeight
              - 'n'
            additionalProperties: false
        missingComponents:
          type: array
          items: 6623f447-9071-40c7-b784-7047c9eb497f
        trend:
          type: array
          items:
            type: object
            properties:
              date:
                type: string
              value:
                type: number
                minimum: 0
                maximum: 100
              'n':
                type: integer
                minimum: 0
                nullable: true
            required:
              - date
              - value
              - 'n'
            additionalProperties: false
        volumeProxy:
          type: object
          properties:
            source:
              type: string
              enum:
                - engines.yaml grounded usage weights
            engineWeights:
              type: object
              additionalProperties:
                type: number
                minimum: 0
          required:
            - source
            - engineWeights
          additionalProperties: false
      required:
        - workspace
        - date
        - value
        - delta
        - 'n'
        - formulaVersion
        - components
        - missingComponents
        - trend
        - volumeProxy
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gp_live_<43 base64url characters>
      description: Workspace-bound machine API key

````